openapi: 3.0.0
info:
  title: SAP API
  version: 1.0.0
servers:
- url: http://localhost:8080
paths:
  /rfc/HOLIDAY_GET:
    post:
      tags:
      - SCA5
      operationId: /rfc/HOLIDAY_GET
      requestBody:
        content:
          application/json:
            schema:
              properties:
                DATE_FROM:
                  type: string
                  format: date
                  default: SY-DATUM
                DATE_TO:
                  type: string
                  format: date
                  default: SY-DATUM
                FACTORY_CALENDAR:
                  type: string
                  default: ' '
                  maxLength: 2
                  description: Factory calendar ID
                HOLIDAY_CALENDAR:
                  type: string
                  default: ' '
                  maxLength: 2
                  description: Public holiday calendar ID
                HOLIDAYS:
                  type: array
                  items:
                    type: object
                    properties:
                      DATE:
                        type: string
                        format: date
                        description: Date for public holiday and factory calendars
                      FREEDAY:
                        type: string
                        maxLength: 1
                        description: Fatory calendar flag
                      HOLIDAY:
                        type: string
                        maxLength: 1
                        description: Fatory calendar flag
                      HOLIDAY_ID:
                        type: string
                        maxLength: 3
                        description: Public holiday key
                      TXT_SHORT:
                        type: string
                        maxLength: 10
                        description: Public holidays, short text
                      TXT_LONG:
                        type: string
                        maxLength: 30
                        description: Long text
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                properties:
                  RETURNCODE:
                    type: integer
                    format: int32
                  YEAR_OF_VALID_FROM:
                    type: integer
                    format: int64
                  YEAR_OF_VALID_TO:
                    type: integer
                    format: int64
                  HOLIDAYS:
                    type: array
                    items:
                      type: object
                      properties:
                        DATE:
                          type: string
                          format: date
                          description: Date for public holiday and factory calendars
                        FREEDAY:
                          type: string
                          maxLength: 1
                          description: Fatory calendar flag
                        HOLIDAY:
                          type: string
                          maxLength: 1
                          description: Fatory calendar flag
                        HOLIDAY_ID:
                          type: string
                          maxLength: 3
                          description: Public holiday key
                        TXT_SHORT:
                          type: string
                          maxLength: 10
                          description: Public holidays, short text
                        TXT_LONG:
                          type: string
                          maxLength: 30
                          description: Long text
        '400':
          description: Bad request.
        5XX:
          description: Unexpected error.
